----------------------------------------------------------------------------------
-- Company: c't-Lab
-- Engineer: Carsten Meyer
-- 
-- Create Date:    24.01.2009 
-- Design Name: 
-- Module Name:    pb_outreg - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
library UNISIM;
use UNISIM.VComponents.all;

entity pb_outreg is
    Port ( write_strobe: in STD_LOGIC;
			  SEL : in STD_LOGIC_VECTOR (2 downto 0);
           Q0 : out  STD_LOGIC_VECTOR (3 downto 0);
           Q1 : out  STD_LOGIC_VECTOR (1 downto 0);
           Q2 : out  STD_LOGIC;
           Q3 : out  STD_LOGIC;
           Q4 : out  STD_LOGIC;
           Q5 : out  STD_LOGIC;
           Q6 : out  STD_LOGIC_VECTOR (7 downto 0);
           Q7 : out  STD_LOGIC_VECTOR (7 downto 0);
           D : in STD_LOGIC_VECTOR (7 downto 0) );
end pb_outreg;

architecture Behavioral of pb_outreg is

begin
	process begin  
		wait until (write_strobe'event and write_strobe = '1');
		if sel = "000" then Q0 <= D(3 downto 0); 
		elsif sel = "001" then Q1 <= D(1 downto 0);
		elsif sel = "010" then Q2 <= D(0);
		elsif sel = "011" then Q3 <= D(0);
		elsif sel = "100" then Q4 <= D(0);
		elsif sel = "101" then Q5 <= D(0);
		elsif sel = "110" then Q6 <= D;
		elsif sel = "111" then Q7 <= D;
		end if;
	end process;
end Behavioral;

