VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1009
        SIGNAL XLXN_1011
        SIGNAL XLXN_1012
        SIGNAL F_DS
        SIGNAL XLXN_971
        SIGNAL F_RS
        SIGNAL XLXN_1016
        SIGNAL F_SCLK
        SIGNAL XLXN_1018
        SIGNAL F_MOSI
        SIGNAL F_MISO
        SIGNAL R(7:0)
        SIGNAL Q(31:0)
        SIGNAL QSTROBE
        SIGNAL RSTROBE
        SIGNAL XLXN_1025
        SIGNAL SYSCLK
        SIGNAL XLXN_1027
        SIGNAL DS_ENA
        SIGNAL D(31:0)
        PORT Input F_DS
        PORT Input F_RS
        PORT Input F_SCLK
        PORT Input F_MOSI
        PORT Output F_MISO
        PORT Output R(7:0)
        PORT Output Q(31:0)
        PORT Output QSTROBE
        PORT Output RSTROBE
        PORT Input SYSCLK
        PORT Input DS_ENA
        PORT Input D(31:0)
        BEGIN BLOCKDEF obuft
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -96 64 -96 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_sri8
            TIMESTAMP 2009 2 3 19 57 5
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_sri32
            TIMESTAMP 2009 2 3 19 58 55
            RECTANGLE N 64 -256 320 0 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -32 384 -32 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_sro32
            TIMESTAMP 2009 2 3 20 1 54
            LINE N 320 -160 384 -160 
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_457 nand2b1
            PIN I0 F_DS
            PIN I1 DS_ENA
            PIN O XLXN_1009
        END BLOCK
        BEGIN BLOCK XLXI_248 obuft
            PIN I XLXN_971
            PIN T XLXN_1009
            PIN O F_MISO
        END BLOCK
        BEGIN BLOCK XLXI_480 SPI_sri8
            PIN N_SEL F_RS
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SYSCLK SYSCLK
            PIN Q(7:0) R(7:0)
            PIN STROBE RSTROBE
        END BLOCK
        BEGIN BLOCK XLXI_481 SPI_sri32
            PIN DQ(31:0) Q(31:0)
            PIN STROBE QSTROBE
            PIN SYSCLK SYSCLK
            PIN SCLK F_SCLK
            PIN N_SEL F_DS
            PIN MOSI F_MOSI
        END BLOCK
        BEGIN BLOCK XLXI_482 SPI_sro32
            PIN MISO XLXN_971
            PIN D(31:0) D(31:0)
            PIN SCLK F_SCLK
            PIN N_SEL F_DS
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_457 1424 416 M0
        INSTANCE XLXI_248 1104 416 M0
        BEGIN BRANCH XLXN_1009
            WIRE 1104 320 1168 320
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 272 896 688 896
            WIRE 688 896 784 896
            WIRE 688 608 688 672
            WIRE 688 672 784 672
            WIRE 688 672 688 896
            WIRE 688 608 1456 608
            WIRE 1424 352 1456 352
            WIRE 1456 352 1456 608
        END BRANCH
        BEGIN BRANCH XLXN_971
            WIRE 1104 384 1184 384
            WIRE 1184 384 1184 672
            WIRE 1168 672 1184 672
        END BRANCH
        BEGIN BRANCH F_RS
            WIRE 288 1200 784 1200
        END BRANCH
        BEGIN BRANCH F_SCLK
            WIRE 288 1328 704 1328
            WIRE 704 1328 784 1328
            WIRE 704 736 784 736
            WIRE 704 736 704 1024
            WIRE 704 1024 704 1328
            WIRE 704 1024 784 1024
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 288 1264 688 1264
            WIRE 688 1264 784 1264
            WIRE 688 960 784 960
            WIRE 688 960 688 1264
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 256 384 880 384
        END BRANCH
        BEGIN INSTANCE XLXI_480 784 1424 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_481 784 1120 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_482 784 832 R0
        END INSTANCE
        BEGIN BRANCH R(7:0)
            WIRE 1168 1200 1344 1200
        END BRANCH
        BEGIN BRANCH Q(31:0)
            WIRE 1168 896 1344 896
        END BRANCH
        BEGIN BRANCH QSTROBE
            WIRE 1168 1088 1344 1088
        END BRANCH
        BEGIN BRANCH RSTROBE
            WIRE 1168 1392 1344 1392
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 288 1392 720 1392
            WIRE 720 1392 784 1392
            WIRE 720 1088 784 1088
            WIRE 720 1088 720 1392
        END BRANCH
        BEGIN BRANCH DS_ENA
            WIRE 288 1584 1616 1584
            WIRE 1424 288 1616 288
            WIRE 1616 288 1616 1584
        END BRANCH
        BEGIN BRANCH D(31:0)
            WIRE 272 800 784 800
        END BRANCH
        BEGIN DISPLAY 1008 1484 TEXT "Q valid before rising edge of STROBE"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1008 1524 TEXT "STROBEs high for 2 SYSCLKs"
            FONT 32 "Arial"
        END DISPLAY
        IOMARKER 272 896 F_DS R180 24
        IOMARKER 288 1392 SYSCLK R180 24
        IOMARKER 288 1200 F_RS R180 24
        IOMARKER 288 1328 F_SCLK R180 24
        IOMARKER 288 1264 F_MOSI R180 24
        IOMARKER 256 384 F_MISO R180 24
        IOMARKER 288 1584 DS_ENA R180 28
        IOMARKER 1344 1088 QSTROBE R0 28
        IOMARKER 1344 896 Q(31:0) R0 28
        IOMARKER 1344 1392 RSTROBE R0 28
        IOMARKER 1344 1200 R(7:0) R0 28
        IOMARKER 272 800 D(31:0) R180 28
        BEGIN DISPLAY 232 156 TEXT "SPI-Extender fuer Softcores z.B. PicoBlaze"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN DISPLAY 240 220 TEXT "DS_ENA wird vom SoftCore gesetzt, wenn RegSel R mit gewuenschtem Register uebereinstimmt"
            FONT 32 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
