VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_5(17:0)
        SIGNAL XLXN_6(9:0)
        SIGNAL loadrom_reset
        SIGNAL loadrom_incr
        SIGNAL XLXN_208(7:0)
        SIGNAL port_id(2:0)
        SIGNAL read_strobe
        SIGNAL data(7:0)
        SIGNAL data(15:8)
        SIGNAL regsel(7:0)
        SIGNAL myADAmpx(3:0)
        SIGNAL result(15:8)
        SIGNAL myADAstrobe(1:0)
        SIGNAL XLXN_258(7:0)
        SIGNAL port_id(7:0)
        SIGNAL XLXN_227
        SIGNAL result(7:0)
        SIGNAL ClkIn
        SIGNAL F_MISO
        SIGNAL F_SCK
        SIGNAL F_MOSI
        SIGNAL F_DS
        SIGNAL F_RS
        SIGNAL XLXN_494(3:0)
        SIGNAL loadrom_data(31:0)
        SIGNAL loadrom_data(17:0)
        SIGNAL result(31:0)
        SIGNAL data(31:0)
        SIGNAL XLXN_513
        SIGNAL spi_ena
        SIGNAL irq_rst
        SIGNAL ADA_DATAIN
        SIGNAL XLXN_578
        SIGNAL irq_src(0)
        SIGNAL irq_src(1)
        SIGNAL XLXN_583
        SIGNAL irq_src(1:0)
        SIGNAL ADA_DATAOUT
        SIGNAL ADA_SCLK
        SIGNAL TestLED
        SIGNAL ADA_MPX(2:0)
        SIGNAL myADAmpx(3)
        SIGNAL ADA_MPXE
        SIGNAL myADAmpx(2:0)
        SIGNAL myADAstrobe(0)
        SIGNAL ADA_STRDAC
        SIGNAL ADA_STRADC
        SIGNAL myADAstrobe(1)
        PORT Input ClkIn
        PORT Output F_MISO
        PORT Input F_SCK
        PORT Input F_MOSI
        PORT Input F_DS
        PORT Input F_RS
        PORT Input ADA_DATAIN
        PORT Output ADA_DATAOUT
        PORT Output ADA_SCLK
        PORT Output TestLED
        PORT Output ADA_MPX(2:0)
        PORT Output ADA_MPXE
        PORT Output ADA_STRDAC
        PORT Output ADA_STRADC
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF kcpsm3
            TIMESTAMP 2009 1 20 12 58 22
            RECTANGLE N 64 -384 416 0 
            LINE N 64 -352 0 -352 
            LINE N 64 -272 0 -272 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -124 64 -100 
            LINE N 64 -112 0 -112 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 416 -352 480 -352 
            LINE N 416 -288 480 -288 
            LINE N 416 -224 480 -224 
            RECTANGLE N 416 -172 480 -148 
            LINE N 416 -160 480 -160 
            RECTANGLE N 416 -108 480 -84 
            LINE N 416 -96 480 -96 
            RECTANGLE N 416 -44 480 -20 
            LINE N 416 -32 480 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF pb_inmux
            TIMESTAMP 2009 2 5 15 6 39
            RECTANGLE N 0 -556 64 -532 
            LINE N 64 -544 0 -544 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -428 64 -404 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            LINE N 64 -608 0 -608 
            RECTANGLE N 336 -492 400 -468 
            LINE N 336 -480 400 -480 
            RECTANGLE N 64 -640 336 0 
            LINE N 64 -32 0 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF pb_outreg
            TIMESTAMP 2009 2 4 23 20 19
            RECTANGLE N 320 -492 384 -468 
            LINE N 320 -480 384 -480 
            RECTANGLE N 320 -428 384 -404 
            LINE N 320 -416 384 -416 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            LINE N 48 -480 -16 -480 
            RECTANGLE N -16 -428 48 -404 
            LINE N 48 -416 -16 -416 
            RECTANGLE N -16 -44 48 -20 
            LINE N 48 -32 -16 -32 
            RECTANGLE N 48 -512 320 0 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF pb_loadrom
            TIMESTAMP 2009 2 5 18 47 29
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 64 -384 384 -48 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 384 -364 448 -340 
            LINE N 384 -352 448 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF fdcp
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -320 192 -352 
            LINE N 192 -352 64 -352 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 384 -256 320 -256 
            LINE N 0 -352 64 -352 
            LINE N 0 -256 64 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_XT
            TIMESTAMP 2009 2 4 15 18 1
            RECTANGLE N 64 -448 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -416 384 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -416 0 -416 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_LC
            TIMESTAMP 2009 2 6 8 30 23
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 64 -352 0 -352 
            LINE N 64 -224 0 -224 
            LINE N 64 -288 0 -288 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 64 -384 320 0 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
        END BLOCKDEF
        BEGIN BLOCK XLXI_5 kcpsm3
            PIN interrupt XLXN_583
            PIN reset loadrom_reset
            PIN clk ClkIn
            PIN instruction(17:0) XLXN_5(17:0)
            PIN in_port(7:0) XLXN_208(7:0)
            PIN write_strobe XLXN_227
            PIN read_strobe read_strobe
            PIN interrupt_ack
            PIN address(9:0) XLXN_6(9:0)
            PIN port_id(7:0) port_id(7:0)
            PIN out_port(7:0) XLXN_258(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_99 pb_outreg
            PIN write_strobe XLXN_227
            PIN SEL(2:0) port_id(2:0)
            PIN D(7:0) XLXN_258(7:0)
            PIN Q0(3:0) myADAmpx(3:0)
            PIN Q1(1:0) myADAstrobe(1:0)
            PIN Q6(7:0) result(7:0)
            PIN Q7(7:0) result(15:8)
            PIN Q2 ADA_SCLK
            PIN Q3 ADA_DATAOUT
            PIN Q4 irq_rst
            PIN Q5 spi_ena
        END BLOCK
        BEGIN BLOCK XLXI_159 constant
            BEGIN ATTR CValue "8"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_494(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_161 SPI_XT
            PIN DS_ENA spi_ena
            PIN D(31:0) result(31:0)
            PIN F_MISO F_MISO
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN SYSCLK ClkIn
            PIN Q(31:0) data(31:0)
            PIN QSTROBE XLXN_513
            PIN R(7:0) regsel(7:0)
            PIN RSTROBE XLXN_578
        END BLOCK
        BEGIN BLOCK XLXI_164 fdcp
            PIN C
            PIN CLR irq_rst
            PIN D
            PIN PRE XLXN_513
            PIN Q irq_src(0)
        END BLOCK
        BEGIN BLOCK XLXI_174 fdcp
            PIN C
            PIN CLR irq_rst
            PIN D
            PIN PRE XLXN_578
            PIN Q irq_src(1)
        END BLOCK
        BEGIN BLOCK XLXI_197 or2
            PIN I0 irq_src(1)
            PIN I1 irq_src(0)
            PIN O XLXN_583
        END BLOCK
        BEGIN BLOCK XLXI_206 pb_inmux
            PIN read_strobe read_strobe
            PIN D7 ADA_DATAIN
            PIN SEL(2:0) port_id(2:0)
            PIN D0(7:0) data(7:0)
            PIN D1(7:0) data(15:8)
            PIN D3(7:0) regsel(7:0)
            PIN D4(1:0) irq_src(1:0)
            PIN Q(7:0) XLXN_208(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 buf
            PIN I ADA_SCLK
            PIN O TestLED
        END BLOCK
        BEGIN BLOCK XLXI_65(2:0) buf
            PIN I myADAmpx(2:0)
            PIN O ADA_MPX(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_66 buf
            PIN I myADAmpx(3)
            PIN O ADA_MPXE
        END BLOCK
        BEGIN BLOCK XLXI_57 buf
            PIN I myADAstrobe(0)
            PIN O ADA_STRDAC
        END BLOCK
        BEGIN BLOCK XLXI_58 buf
            PIN I myADAstrobe(1)
            PIN O ADA_STRADC
        END BLOCK
        BEGIN BLOCK XLXI_208 SPI_LC
            PIN F_RS F_RS
            PIN F_MOSI F_MOSI
            PIN F_DS F_DS
            PIN F_SCLK F_SCK
            PIN SYSCLK ClkIn
            PIN BASEADR(3:0) XLXN_494(3:0)
            PIN RAMD(31:0) loadrom_data(31:0)
            PIN RAMINCR loadrom_incr
            PIN CORESEL(7:0)
            PIN CORERST loadrom_reset
        END BLOCK
        BEGIN BLOCK XLXI_209 pb_loadrom
            PIN pb_clk ClkIn
            PIN pb_address(9:0) XLXN_6(9:0)
            PIN reset loadrom_reset
            PIN incr_pulse loadrom_incr
            PIN data(17:0) loadrom_data(17:0)
            PIN pb_instruction(17:0) XLXN_5(17:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN INSTANCE XLXI_5 1424 1600 R0
        END INSTANCE
        BEGIN BRANCH XLXN_5(17:0)
            WIRE 1344 1488 1424 1488
        END BRANCH
        BEGIN BRANCH XLXN_6(9:0)
            WIRE 816 1552 816 1888
            WIRE 816 1888 1936 1888
            WIRE 816 1552 896 1552
            WIRE 1904 1440 1936 1440
            WIRE 1936 1440 1936 1888
        END BRANCH
        BEGIN BRANCH loadrom_reset
            WIRE 704 1616 768 1616
            WIRE 768 1616 896 1616
            WIRE 768 1328 1424 1328
            WIRE 768 1328 768 1616
            BEGIN DISPLAY 704 1616 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_208(7:0)
            WIRE 1328 2160 1392 2160
            WIRE 1392 1568 1392 2160
            WIRE 1392 1568 1424 1568
        END BRANCH
        BEGIN BRANCH port_id(2:0)
            WIRE 752 2096 928 2096
            BEGIN DISPLAY 752 2096 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH read_strobe
            WIRE 896 1952 896 2032
            WIRE 896 2032 928 2032
            WIRE 896 1952 1600 1952
            WIRE 1600 1952 1968 1952
            WIRE 1904 1312 1968 1312
            WIRE 1968 1312 1968 1952
            BEGIN DISPLAY 1600 1952 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH data(7:0)
            WIRE 752 2160 928 2160
            BEGIN DISPLAY 752 2160 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH data(15:8)
            WIRE 752 2224 928 2224
            BEGIN DISPLAY 752 2224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH regsel(7:0)
            WIRE 752 2352 928 2352
            BEGIN DISPLAY 752 2352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_99 2112 2528 R0
        END INSTANCE
        BEGIN BRANCH port_id(2:0)
            WIRE 1952 2112 2096 2112
            BEGIN DISPLAY 1952 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH myADAmpx(3:0)
            WIRE 2496 2048 2624 2048
            BEGIN DISPLAY 2624 2048 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH result(15:8)
            WIRE 2496 2496 2624 2496
            BEGIN DISPLAY 2624 2496 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH myADAstrobe(1:0)
            WIRE 2496 2112 2624 2112
            BEGIN DISPLAY 2624 2112 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_258(7:0)
            WIRE 1904 1568 2032 1568
            WIRE 2032 1568 2032 2496
            WIRE 2032 2496 2096 2496
        END BRANCH
        BEGIN BRANCH port_id(7:0)
            WIRE 1904 1504 2096 1504
            BEGIN DISPLAY 2096 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_227
            WIRE 1904 1248 2000 1248
            WIRE 2000 1248 2000 2048
            WIRE 2000 2048 2096 2048
        END BRANCH
        BEGIN BRANCH result(7:0)
            WIRE 2496 2432 2624 2432
            BEGIN DISPLAY 2624 2432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkIn
            WIRE 208 656 528 656
            WIRE 528 656 576 656
            WIRE 528 656 528 1408
            WIRE 528 1408 816 1408
            WIRE 816 1408 1424 1408
            WIRE 816 1408 816 1488
            WIRE 816 1488 896 1488
            WIRE 528 144 576 144
            WIRE 528 144 528 656
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 208 848 464 848
            WIRE 464 848 576 848
            WIRE 464 336 576 336
            WIRE 464 336 464 848
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 208 912 480 912
            WIRE 480 912 576 912
            WIRE 480 400 576 400
            WIRE 480 400 480 912
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 208 720 432 720
            WIRE 432 720 576 720
            WIRE 432 208 576 208
            WIRE 432 208 432 720
        END BRANCH
        BEGIN BRANCH F_RS
            WIRE 208 784 448 784
            WIRE 448 784 576 784
            WIRE 448 272 576 272
            WIRE 448 272 448 784
        END BRANCH
        IOMARKER 208 912 F_MOSI R180 28
        IOMARKER 208 848 F_SCK R180 28
        IOMARKER 208 784 F_RS R180 28
        IOMARKER 208 720 F_DS R180 28
        IOMARKER 208 656 ClkIn R180 28
        IOMARKER 208 560 F_MISO R180 28
        BEGIN BRANCH XLXN_494(3:0)
            WIRE 240 464 576 464
        END BRANCH
        BEGIN BRANCH loadrom_data(31:0)
            WIRE 960 400 1232 400
            BEGIN DISPLAY 1232 400 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_159 96 432 R0
        END INSTANCE
        BEGIN DISPLAY 80 368 TEXT Basis=128
            FONT 40 "Arial"
        END DISPLAY
        BEGIN BRANCH loadrom_incr
            WIRE 704 1680 896 1680
            BEGIN DISPLAY 704 1680 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH loadrom_data(17:0)
            WIRE 704 1744 896 1744
            BEGIN DISPLAY 704 1744 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_161 576 1072 R0
        END INSTANCE
        BEGIN BRANCH result(31:0)
            WIRE 464 1040 576 1040
            BEGIN DISPLAY 464 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH regsel(7:0)
            WIRE 960 848 1072 848
            BEGIN DISPLAY 1072 848 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH data(31:0)
            WIRE 960 1040 1072 1040
            BEGIN DISPLAY 1072 1040 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH loadrom_incr
            WIRE 960 336 1232 336
            BEGIN DISPLAY 1232 336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH loadrom_reset
            WIRE 960 208 1232 208
            BEGIN DISPLAY 1232 208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ADA_DATAIN
            WIRE 912 2608 928 2608
            WIRE 912 2608 912 2704
            WIRE 912 2704 3520 2704
        END BRANCH
        INSTANCE XLXI_174 2400 1472 R0
        BEGIN BRANCH XLXN_578
            WIRE 960 784 2096 784
            WIRE 2096 784 2096 1120
            WIRE 2096 1120 2400 1120
        END BRANCH
        INSTANCE XLXI_164 2400 1056 R0
        BEGIN BRANCH irq_src(0)
            WIRE 2784 800 2880 800
            WIRE 2880 800 2944 800
            BEGIN DISPLAY 2880 800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_583
            WIRE 1408 608 3264 608
            WIRE 3264 608 3264 832
            WIRE 1408 608 1408 1248
            WIRE 1408 1248 1424 1248
            WIRE 3200 832 3264 832
        END BRANCH
        BEGIN BRANCH irq_src(1)
            WIRE 2784 1216 2800 1216
            WIRE 2800 864 2880 864
            WIRE 2880 864 2944 864
            WIRE 2800 864 2800 1216
            BEGIN DISPLAY 2880 864 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH irq_src(1:0)
            WIRE 752 2416 928 2416
            BEGIN DISPLAY 752 2416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_197 2944 928 R0
        BEGIN INSTANCE XLXI_206 928 2640 R0
        END INSTANCE
        BEGIN BRANCH ADA_DATAOUT
            WIRE 2496 2240 3536 2240
        END BRANCH
        BEGIN BRANCH ADA_SCLK
            WIRE 2496 2176 3216 2176
            WIRE 3216 2176 3536 2176
            WIRE 3216 2096 3280 2096
            WIRE 3216 2096 3216 2176
        END BRANCH
        IOMARKER 3536 2176 ADA_SCLK R0 28
        INSTANCE XLXI_4 3280 2128 R0
        BEGIN BRANCH TestLED
            WIRE 3504 2096 3536 2096
        END BRANCH
        IOMARKER 3536 2096 TestLED R0 28
        IOMARKER 3536 2240 ADA_DATAOUT R0 28
        INSTANCE XLXI_65(2:0) 3280 2544 R0
        BEGIN BRANCH ADA_MPX(2:0)
            WIRE 3504 2512 3536 2512
        END BRANCH
        INSTANCE XLXI_66 3280 2640 R0
        BEGIN BRANCH myADAmpx(3)
            WIRE 3136 2608 3280 2608
            BEGIN DISPLAY 3136 2608 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ADA_MPXE
            WIRE 3504 2608 3536 2608
        END BRANCH
        BEGIN BRANCH myADAmpx(2:0)
            WIRE 3136 2512 3280 2512
            BEGIN DISPLAY 3136 2512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_57 3280 2352 R0
        BEGIN BRANCH myADAstrobe(0)
            WIRE 3136 2320 3280 2320
            BEGIN DISPLAY 3136 2320 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ADA_STRDAC
            WIRE 3504 2320 3536 2320
        END BRANCH
        INSTANCE XLXI_58 3280 2448 R0
        BEGIN BRANCH ADA_STRADC
            WIRE 3504 2416 3536 2416
        END BRANCH
        BEGIN BRANCH myADAstrobe(1)
            WIRE 3136 2416 3280 2416
            BEGIN DISPLAY 3136 2416 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 3536 2512 ADA_MPX(2:0) R0 28
        IOMARKER 3536 2608 ADA_MPXE R0 28
        IOMARKER 3536 2320 ADA_STRDAC R0 28
        IOMARKER 3536 2416 ADA_STRADC R0 28
        IOMARKER 3520 2704 ADA_DATAIN R0 28
        BEGIN BRANCH irq_rst
            WIRE 2304 1024 2400 1024
            WIRE 2304 1024 2304 1232
            WIRE 2304 1232 2304 1440
            WIRE 2304 1440 2400 1440
            WIRE 2304 1440 2304 1920
            WIRE 2304 1920 2528 1920
            WIRE 2528 1920 2528 2304
            WIRE 2496 2304 2528 2304
            BEGIN DISPLAY 2304 1232 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_513
            WIRE 960 976 1280 976
            WIRE 1280 704 1280 976
            WIRE 1280 704 2400 704
        END BRANCH
        BEGIN BRANCH spi_ena
            WIRE 256 976 352 976
            WIRE 352 976 576 976
            WIRE 256 976 256 1856
            WIRE 256 1856 2576 1856
            WIRE 2576 1856 2576 2368
            WIRE 2496 2368 2576 2368
            BEGIN DISPLAY 352 976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 656 1136 TEXT "Basisadresse wird durch "
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 656 1184 TEXT "PicoBlaze-Prg. vorgegeben"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN BRANCH F_MISO
            WIRE 208 560 992 560
            WIRE 992 560 992 656
            WIRE 960 656 992 656
        END BRANCH
        BEGIN INSTANCE XLXI_208 576 496 R0
        END INSTANCE
        BEGIN DISPLAY 508 64 TEXT "SPI-LoadCore fuer AutoInc-Register"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN INSTANCE XLXI_209 896 1840 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
